@import "./variables.scss";
@import "./auth.scss";
@import './transition.scss';
@import './sidebar.scss';

*,
*:before,
*:after {
    box-sizing: inherit;
}

html {
    height: 100%;
    box-sizing: border-box;
}

body {
    height: 100%;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    font-family: 'Quicksand', sans-serif;
}

::-webkit-scrollbar {
    width: 6px;
}

// ::-webkit-scrollbar-track {
//     background: rgba(144,147,153,.3); 
// }

::-webkit-scrollbar-thumb {
    background:rgba(144,147,153,.3);
    border-radius: 4px;
    width: 6px;
}

::-webkit-scrollbar-thumb:hover {
    background: rgba(144,147,153,.5); 
}

::-webkit-scrollbar:horizontal{
    display: none;
}
  
#app {
    height: 100%;
}

.app-container{
    padding: 20px;
}

.filter-container{
    padding: 20px;
    background: #fff;
}

.filter-container .filter-item{
    margin-right: 10px;
    display: inline-block;
    vertical-align: middle;
}

.filter-container .filter-item:last-child{
    margin-right: 0;
}

.filter-container button{
    margin-left: 0!important;
}

.filter-container button i{
    margin: 0;
}

.el-dialog .el-form .filter-item{
    margin-bottom: 10px;
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none; 
    margin: 0; 
}
input[type=number] {
    -moz-appearance:textfield;
}

a:focus,
a:active {
    outline: none;
}

a,
a:focus,
a:hover {
    cursor: pointer;
    color: inherit;
    text-decoration: none;
}

.width-100{
    width: 100%;
}

.no-padding {
    padding: 0px !important;
}

.no-margin {
    margin: 0px !important;
}

.display-block{
    display: block!important;
}

.display-inline-block{
    display: inline-block!important;
}

.pointer {
    cursor: pointer!important;
}

.text-align-left{
    text-align: left!important;
}

.text-align-right{
    text-align: right!important;
}

.text-align-center{
    text-align: center!important;
}

.float-left{
    float: left!important;
}

.float-right{
    float: right!important;
}

.text-capitalize{
    text-transform: capitalize!important;
}

.text-uppercase{
    text-transform: uppercase!important;
}

.text-bold{
    font-weight: bold;
}

.text-normal{
    text-transform: none!important;
    font-weight: normal;
}

.text-primary{
    color: #409EFF!important;
}

.text-success{
    color: #67c23a!important;
}

.text-info{
    color: #909399!important;
}

.text-warning{
    color: #e6a23c!important;
}

.text-danger{
    color: #f56c6c!important;
}

.no-margin{
    margin: 0!important;
}

.no-margin-top{
    margin-top: 0!important;
}

.no-margin-right{
    margin-right: 0!important;
}

.no-margin-bottom{
    margin-bottom: 0!important;
}

.no-margin-left{
    margin-left: 0!important;
}

.no-padding{
    padding: 0!important;
}

.margin-small{
    margin: 10px!important;
}

.margin-small-top{
    margin-top: 10px!important;
}

.margin-small-right{
    margin-right: 10px!important;
}

.margin-small-bottom{
    margin-bottom: 10px!important;
}

.margin-small-left{
    margin-left: 10px!important;
}

.margin-medium{
    margin: 25px!important;
}

.margin-medium-top{
    margin-top: 25px!important;
}

.margin-medium-right{
    margin-right: 25px!important;
}

.margin-medium-bottom{
    margin-bottom: 25px!important;
}

.margin-medium-left{
    margin-left: 25px!important;
}

.padding-small{
    padding: 10px!important;
}

.padding-small-top{
    padding-top: 10px!important;
}

.padding-small-right{
    padding-right: 10px!important;
}

.padding-small-bottom{
    padding-bottom: 10px!important;
}

.padding-small-left{
    padding-left: 10px!important;
}

.padding-medium{
    margin: 25px!important;
}

.padding-medium-top{
    margin-top: 25px!important;
}

.padding-medium-right{
    margin-right: 25px!important;
}

.padding-medium-bottom{
    margin-bottom: 25px!important;
}

.padding-medium-left{
    margin-left: 25px!important;
}

i[class^="ion-ios-"]{
    font-size:20px;
    margin-right:10px;
    vertical-align: middle;
}

.img-circle{
    border-radius: 50%;
    display: block;
    width: 24px;
    height: 24px;
}

.dynamic-list{
    padding: 10px;
}

.dynamic-list:nth-child(2n+1){
    background: #F4F7FC;
}

[data-initial-small]{
    display: block;
    line-height: 50px;
    margin-top: -5px;
}

[data-initial-small]:before{
    content: attr(data-initial-small);
	display: inline-block;
	text-align: center;
	border-radius: 50%;
	background: #81C5F1;
	vertical-align: middle;
	margin-right: 0;
	color: #fff;
	width: 24px;
	height: 24px;
	line-height: 24px;
	font-size: 11px;
}

.el-date-editor.el-input, .el-date-editor.el-input__inner{
    max-width: 100%!important;
    width: 100%!important;
}

.el-form-item__label{
    text-align: left;
    width: 100%;
}

.el-alert{
    margin-bottom: 10px;
}

.el-button--purple {
    color: #FFF;
    background-color: rgb(137, 104, 155);
    border-color: rgb(137, 104, 155);
}

.el-button--purple:hover {
    opacity: 0.8;
    color: #FFF;
    background-color: rgb(137, 104, 155);
    border-color: rgb(137, 104, 155);
}

.el-button--pink {
    color: #FFF;
    background-color: rgb(237, 133, 139);
    border-color: rgb(237, 133, 139);
}

.el-button--pink:hover{
    opacity: 0.8;
    color: #FFF;
    background-color: rgb(237, 133, 139);
    border-color: rgb(237, 133, 139);
}

.el-button--orange {
    color: #FFF;
    background-color: rgb(250, 203, 140);
    border-color: rgb(250, 203, 140);
}

.el-button--orange:hover {
    opacity: 0.8;
    color: #FFF;
    background-color: rgb(250, 203, 140);
    border-color: rgb(250, 203, 140);
}

.el-dialog .el-dialog__header{
    padding: 20px;
    border-left: 5px solid #3E89FA; 
}

.el-message-box{
    border: none;
}

.el-message-box__header{
    border-left: 5px solid #3E89FA; 
}

.el-table{
    height: calc(100% - 297px);
}

.el-table .el-table__header th:first-child,
.el-table .el-table__body td:first-child,
.el-table .el-table__header th:last-child,
.el-table .el-table__body td:last-child {
    padding-left: 10px;
}

.el-tag--mini {
    height: 20px;
    padding: 0 5px;
    line-height: 17px;
}

.el-dialog .el-row{
    margin:0!important;
}

.el-dialog .el-row .el-col:first-child{
    padding-left:0!important;
}

.el-dialog .el-row .el-col:last-child{
    padding-right:0!important;
}

.el-dropdown-menu__item:focus, 
.el-dropdown-menu__item:not(.is-disabled):hover {
    background-color: #ecf5ff;
    color: #0285FD;
}

.el-pager li{
    font-weight: normal;
}

.el-input .el-input__count .el-input__count-inner,
.el-textarea .el-input__count{
    background: none;
}

.has-suffix .el-input__inner,
.has-suffix .el-textarea__inner{
    padding-right: 60px;
}

.el-textarea .el-textarea__inner{
    min-height: 40px!important;
}

.avatar-uploader{
    text-align: center;
}
.avatar-uploader .el-upload {
    border: 1px dashed #d9d9d9;
    border-radius: 6px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    width: 200px;
    height: 200px;
}
.avatar-uploader .el-upload:hover {
    border-color: #409EFF;
}
.avatar-uploader-icon {
    font-size: 28px;
    color: #8c939d;
    width: 200px;
    height: 200px;
    line-height: 200px;
    text-align: center;
}
.avatar {
    width: 200px;
    height: 200px;
    display: block;
}

.uploader-full-width .el-upload,
.uploader-full-width .avatar-uploader-icon,
.uploader-full-width .avatar{
    width: 100%;
}

.image-slot, .demo-image__placeholder .image-slot {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background: #f5f7fa;
    color: #909399;
    font-size: 14px;
}

.supported-by{
    text-align: center;
    margin-top:20px;

    ul{
        list-style: none;
        padding: 0;

        li{
            display: inline-block;
            margin: 0 15px;
        }
    }
}

.ck-content p{
    line-height: 1.6em!important;
}

@media only screen and (min-width : 895px) and (max-width : 1024px) {
    .el-dialog .el-row .el-col{
        padding-left:0!important;
        padding-right: 0!important;
    }
}

@media only screen and (min-width : 769px) and (max-width : 894px) {
    .filter-container button .filter-text{
        display: none;
    }

    .el-dialog .el-row .el-col{
        padding-left:0!important;
        padding-right: 0!important;
    }

}

@media only screen and (max-width: 768px){

    .filter-container .filter-item{
        width: 100%!important;
        margin-bottom: 5px;
    }

    .filter-container button{
        width: 100%;
    }    

    .el-dialog{
        width: 90%!important;
    }
    .el-dialog .el-row .el-col{
        padding:0!important;
    }

    .dialog-footer button{
        width: 100%;
        margin: 0 0 10px;
    }

    .dialog-footer .el-button+.el-button{
        margin: 0;
    }
}

.paper{
    box-shadow: 0 2px 12px 0 rgba(0,0,0,.1);
    border-radius: 4px;
    background:#fff;
    padding:32px!important;

    height: calc(100vh - 125px);

    // .no-content{
    //     position: absolute;
    //     top: 50%;
    //     left: 50%;
    //     transform: translate(-50%, -50%);
    // }
}

.paper.non-table{
    min-height: calc(100vh - 125px);
    height: auto;
}

.paper.grid{
    min-height: none;
    height: auto;
}

.qrcode img{
    width: 100%;
}